Package ru.bitel.bgbilling.modules.mobimoney.server.bean

# Class Constants

java.lang.Object
ru.bitel.bgbilling.common.bean.BGBaseConstants
ru.bitel.bgbilling.modules.mobimoney.server.bean.Constants

public class Constants extends BGBaseConstants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `KEY_MOBIMONEY_MODE`
  `static final String`
  `KEY_MOBIMONEY_PAYMENT_COMMENT`
  `static final String`
  `KEY_MOBIMONEY_PAYMENT_TYPE_ID`
  `static final String`
  `KEY_MOBIMONEY_PRODUCT_ID`
  `static final String`
  `KEY_MOBIMONEY_PROVIDER_ID`
  `static final String`
  `KEY_MOBIMONEY_SUM_MAX`
  `static final String`
  `KEY_MOBIMONEY_SUM_MIN`
  `static final String`
  `MOBIMONEY_MODE_DEMO`
  `static final String`
  `MOBIMONEY_MODE_WORK`
  `static final String`
  `MOBIMONEY_PAYMENT_COMMENT`
  `static final int`
  `MOBIMONEY_SUM_MAX`
  `static final int`
  `MOBIMONEY_SUM_MIN`

  ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT, AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT, DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE, DEFAULT_SUM_MAX, DEFAULT_SUM_MIN, KEY_AUTOPAYMENT_ENABLE, KEY_AUTOPAYMENT_ID, KEY_AUTOPAYMENT_MODE, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_ENABLE, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_DAY, KEY_AUTOPAYMENT_MODE_MONTH_ENABLE, KEY_AUTOPAYMENT_MODE_MONTH_SUM, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN, KEY_AUTOPAYMENT_MODE_WEEK_DAY, KEY_AUTOPAYMENT_MODE_WEEK_ENABLE, KEY_AUTOPAYMENT_MODE_WEEK_SUM, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN, KEY_BILLING_NAME, KEY_COMMISSION_PERCENT, KEY_COMMISSION_TYPE, KEY_CUSTOMER_ADDRESS, KEY_CUSTOMER_ADDRESS_ENABLE, KEY_CUSTOMER_ADDRESS_REQUIRED, KEY_CUSTOMER_ADDRESS_TITLE, KEY_CUSTOMER_EMAIL, KEY_CUSTOMER_EMAIL_ENABLE, KEY_CUSTOMER_EMAIL_REQUIRED, KEY_MONTH, KEY_PAGE, KEY_PAYMENT_PHONE, KEY_PERIOD, KEY_STATUS, KEY_STATUS_LIST, KEY_SUM_MAX, KEY_SUM_MIN, KEY_TRANSACTIONS, KEY_YEAR, PATTERN_CARD, PATTERN_CONTRACT_COMMENT, PATTERN_CONTRACT_TITLE, PATTERN_TRANSACTION_ID, REQUEST_ATTR_CONTENT_TYPE, REQUEST_PARAM_CONTENT_TYPE, REQUEST_PARAM_CUSTOMER_ADDRESS, REQUEST_PARAM_CUSTOMER_EMAIL, REQUEST_PARAM_MONTH, REQUEST_PARAM_PAYMENT_EMAIL, REQUEST_PARAM_PAYMENT_PHONE, REQUEST_PARAM_STATUS, REQUEST_PARAM_SUM, REQUEST_PARAM_YEAR, STRING_AMP, STRING_EQUALS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Constants()`

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `getIntConstantByName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MOBIMONEY_SUM_MIN

    public static final int MOBIMONEY_SUM_MIN
    See Also:
      - Constant Field Values

  - ### MOBIMONEY_SUM_MAX

    public static final int MOBIMONEY_SUM_MAX
    See Also:
      - Constant Field Values

  - ### MOBIMONEY_MODE_DEMO

    public static final String MOBIMONEY_MODE_DEMO
    See Also:
      - Constant Field Values

  - ### MOBIMONEY_MODE_WORK

    public static final String MOBIMONEY_MODE_WORK
    See Also:
      - Constant Field Values

  - ### MOBIMONEY_PAYMENT_COMMENT

    public static final String MOBIMONEY_PAYMENT_COMMENT
    See Also:
      - Constant Field Values

  - ### KEY_MOBIMONEY_MODE

    public static final String KEY_MOBIMONEY_MODE
    See Also:
      - Constant Field Values

  - ### KEY_MOBIMONEY_SUM_MIN

    public static final String KEY_MOBIMONEY_SUM_MIN
    See Also:
      - Constant Field Values

  - ### KEY_MOBIMONEY_SUM_MAX

    public static final String KEY_MOBIMONEY_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_MOBIMONEY_PROVIDER_ID

    public static final String KEY_MOBIMONEY_PROVIDER_ID
    See Also:
      - Constant Field Values

  - ### KEY_MOBIMONEY_PRODUCT_ID

    public static final String KEY_MOBIMONEY_PRODUCT_ID
    See Also:
      - Constant Field Values

  - ### KEY_MOBIMONEY_PAYMENT_TYPE_ID

    public static final String KEY_MOBIMONEY_PAYMENT_TYPE_ID
    See Also:
      - Constant Field Values

  - ### KEY_MOBIMONEY_PAYMENT_COMMENT

    public static final String KEY_MOBIMONEY_PAYMENT_COMMENT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Constants

    public Constants()